import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import moment from 'moment';
import { MonthDisplay } from '../../models/month-display';
import { DatepickerOptions } from '../datepicker/datepicker.component';
import { DateRange } from '../../models/date-range';
export declare class CalendarComponent implements OnInit, OnDestroy {
    private cd;
    options: DatepickerOptions;
    dateRanges: DateRange[];
    change: EventEmitter<moment.Moment>;
    value: moment.Moment;
    monthDisplay: MonthDisplay;
    constructor(cd: ChangeDetectorRef);
    ngOnInit(): void;
    fillEnabledDays(): void;
    ngOnDestroy(): void;
    getValue(): moment.Moment;
    select(day: moment.Moment): void;
    parseValue(value: string): void;
    isDateEnabled(date: any): boolean;
    goToPrevMonth(): void;
    goToNextMonth(): void;
    goToPrevYear(): void;
    goToNextYear(): void;
}
