import { ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import moment from 'moment';
import { Subject } from 'rxjs';
import { ScrollableDirective } from 'ng-gxscrollable';
import { TimeDisplay, TimeOption, TimeOptionItem } from '../../models/time-display';
import { DatepickerOptions } from '../datepicker/datepicker.component';
export declare class ClockComponent implements OnInit, OnDestroy {
    private cd;
    options: DatepickerOptions;
    change: EventEmitter<moment.Moment>;
    scrollable: QueryList<ScrollableDirective>;
    scrollableInner: QueryList<ElementRef<any>>;
    value: moment.Moment;
    timeDisplay: TimeDisplay;
    updateSelection: Subject<number>;
    constructor(cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getValue(): moment.Moment;
    select(value: moment.Moment, scroll?: boolean): void;
    parseValue(value: string): void;
    trackByFn(_: any, item: TimeOption): string;
    scrollToSelected(): void;
    selectedItem(i: any): TimeOptionItem;
    searchValue(i: any, e: any): boolean;
    checkSearchValue(i: any, e: any): void;
    onUpdateSelection(i: any): void;
}
