import moment from 'moment';
export interface WeeksDay {
    date: moment.Moment;
    today: boolean;
    currentMonth: boolean;
    weekend: boolean;
    selected: boolean;
    enabled: boolean;
}
export interface DayOfWeek {
    date: moment.Moment;
    weekend: boolean;
}
export declare class MonthDisplay {
    private _date;
    selectedDate: moment.Moment;
    weekDays: DayOfWeek[];
    weeks: WeeksDay[][];
    constructor(_date: moment.Moment);
    readonly now: moment.Moment;
    date: moment.Moment;
    readonly monthFirstDay: moment.Moment;
    readonly displayFirstDay: moment.Moment;
    readonly monthLastDay: moment.Moment;
    readonly displayLastDay: moment.Moment;
    prevMonth(): void;
    nextMonth(): void;
    prevYear(): void;
    nextYear(): void;
    private updateWeeks();
}
