import moment from 'moment';
export interface TimeOptionItem {
    date: moment.Moment;
    now: boolean;
    selected: boolean;
    str: string;
}
export interface TimeOption {
    items: TimeOptionItem[];
    title: string;
}
export declare class TimeDisplay {
    private _date;
    options: TimeOption[];
    hours: TimeOptionItem[];
    minutes: TimeOptionItem[];
    seconds: TimeOptionItem[];
    constructor(_date: moment.Moment);
    readonly now: moment.Moment;
    date: moment.Moment;
    private updateTime();
}
